#ifndef __JABYENGINE_INTERNAL_GPU_HPP__
#define __JABYENGINE_INTERNAL_GPU_HPP__
#include <PSX/GPU/GPU_Types.hpp>
#include <PSX/System/IOPorts/GPU_IO.hpp>

namespace GPU {
    static void quick_fill_fast(const Color24& color, const PositionU16& pos, const SizeU16& size) {
        Port::GP0.write(Port::Command::GP0::QuickFill(color));
        Port::GP0.write(Port::Command::GP0::TopLeftPosition(pos.x, pos.y));
        Port::GP0.write(Port::Command::GP0::WidthHeight(size.width, size.height));
    }
}

#endif //!__JABYENGINE_INTERNAL_GPU_HPP__